DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Static Private Attributes | List of all members
IODUSFoRModule Class Reference

Class representing the Frame of Reference Module: More...

Inheritance diagram for IODUSFoRModule:

## Public Member Functions
| IODUSFoRModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor. More...
| IODUSFoRModule ()
| Constructor.
virtual | ~IODUSFoRModule ()
| Destructor.
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of module. More...
virtual OFCondition | getVolumeFrameOfReferenceUID (OFString &value, const signed long pos=0) const
| Get Volume Frame of Reference UID. More...
virtual OFCondition | getUltrasoundAcquisitionGeometry (OFString &value, const signed long pos=0) const
| Get Position Reference Indicator. More...
virtual OFCondition | getApexPosition (Float64 &value, const unsigned long pos=0) const
| Get Apex Position. More...
virtual OFCondition | getApexPosition (OFVector< Float64 > &value)
| Get Apex Position. More...
virtual OFCondition | getVolumetoTransducerRelationship (OFString &value, const signed long pos=0)
| Get Volume to Transducer Relationship. More...
virtual OFCondition | getVolumetoTransducerMappingMatrix (Float64 &value, const unsigned long pos=0) const
| Get Volume to Table Mapping Matrix. More...
virtual OFCondition | getVolumetoTransducerMappingMatrix (OFVector< Float64 > &value)
| Get Volume to Table Mapping Matrix. More...
virtual OFCondition | getPatientFrameofReferenceSource (OFString &value, const signed long pos=0)
| Get Patient Frame of Reference Source. More...
virtual OFCondition | getTableFrameofReferenceUID (OFString &value, const signed long pos=0)
| Get Table Frame of Reference UID. More...
virtual OFCondition | getVolumetoTableMappingMatrix (Float64 &value, const unsigned long pos=0) const
| Get Volume to Table Mapping Matrix. More...
virtual OFCondition | getVolumetoTableMappingMatrix (OFVector< Float64 > &value)
| Get Volume to Table Mapping Matrix. More...
virtual OFCondition | setVolumeFrameOfReferenceUID (const OFString &value, const OFBool checkValue=OFTrue)
| Set Volume Frame Of Reference UID. More...
virtual OFCondition | setUltrasoundAcquisitionGeometry (const OFString &value, const OFBool checkValue=OFTrue)
| Set Ultrasound Acquisition Geometry. More...
virtual OFCondition | setApexPosition (const Float64 &xValue, const Float64 &yValue, const Float64 &zValue, const OFBool checkValue=OFTrue)
| Set Apex Position. More...
virtual OFCondition | setVolumetoTransducerRelationship (const OFString &value, const OFBool checkValue=OFTrue)
| Set Volume to Transducer Relationship. More...
virtual OFCondition | setVolumetoTransducerMappingMatrix (const OFVector< Float64 > &value, const OFBool checkValue=OFTrue)
| Set Volume to Transducer Mapping Matrix. More...
virtual OFCondition | setPatientFrameOfReferenceSource (const OFString &value, const OFBool checkValue=OFTrue)
| Set Patient Frame of Reference Source. More...
virtual OFCondition | setTableFrameofReferenceUID (const OFString &value, const OFBool checkValue=OFTrue)
| Set Table Frame of Reference UID. More...
virtual OFCondition | setVolumeToTableMappingMatrix (const OFVector< Float64 > &value, const OFBool checkValue=OFTrue)
| Set Volume to Table Mapping Matrix. More...
Public Member Functions inherited from IODModule
| IODModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor. More...
| IODModule ()
| Constructor. More...
| IODModule (const IODModule &rhs)
| Copy constructor, creates shallow copy. More...
IODModule & | operator= (const IODModule &rhs)
| Assignment operator, creates shallow copy. More...
| ~IODModule ()
| Destructor.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor. More...
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch. More...
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set. More...
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set. More...
virtual | ~IODComponent ()
| Virtual Destructor.
virtual void | clearData ()
| Clear all attributes from the data that are handled by this module. More...
virtual void | inventMissing ()
| Set missing values by inventing "default values". More...
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module. More...
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3. More...
DcmItem & | getData ()
| Get the data handled by this module. More...
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class. More...
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item. More...
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules. More...
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components. More...
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing. More...
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e. More...

## Static Private Attributes
static const OFString | m_ModuleName
| Module name "UltrasoundFrameOfReferenceModule".

## Additional Inherited Members
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name. More...
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name. More...
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class. More...
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e. More...

## Detailed Description

Class representing the Frame of Reference Module:

Volume Frame of Reference UID: (UI, 1, 1) Ultrasound Acquisition Geometry: (CS, 1, 1) Apex Position: (FD, 3, 1C) Volume to Transducer Relationship: (CS, 1, 1C) Volume to Transducer Mapping Matrix: (FD, 16, 1) Patient Frame of Reference Source: (CS, 1, 1C) Table Frame of Reference UID: (UI, 1, 1C) Volume to Table Mapping Matrix: (FD, 16, 1C)

## Constructor & Destructor Documentation

## ◆ IODUSFoRModule()

IODUSFoRModule::IODUSFoRModule | ( | OFshared_ptr< DcmItem > | item,
|  | OFshared_ptr< IODRules > | rules
| ) |  |

Constructor.

Parameters

  item | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates one from scratch and adds its values.

## Member Function Documentation

## ◆ getApexPosition() [1/2]

virtual OFCondition IODUSFoRModule::getApexPosition | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const
| virtual

Get Apex Position.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getApexPosition() [2/2]

virtual OFCondition IODUSFoRModule::getApexPosition | ( | OFVector< Float64 > & | value | ) |
| virtual

Get Apex Position.

Parameters

  value | Reference to variable in which the value should be stored

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getName()

virtual OFString IODUSFoRModule::getName | ( |  | ) | const
| virtual

Get name of module.

Returns
  Name of the module ("UltrasoundFrameOfReferenceModule")

Implements IODComponent.

## ◆ getPatientFrameofReferenceSource()

virtual OFCondition IODUSFoRModule::getPatientFrameofReferenceSource | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Patient Frame of Reference Source.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getTableFrameofReferenceUID()

virtual OFCondition IODUSFoRModule::getTableFrameofReferenceUID | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Table Frame of Reference UID.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getUltrasoundAcquisitionGeometry()

virtual OFCondition IODUSFoRModule::getUltrasoundAcquisitionGeometry | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Position Reference Indicator.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getVolumeFrameOfReferenceUID()

virtual OFCondition IODUSFoRModule::getVolumeFrameOfReferenceUID | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Volume Frame of Reference UID.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getVolumetoTableMappingMatrix() [1/2]

virtual OFCondition IODUSFoRModule::getVolumetoTableMappingMatrix | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const
| virtual

Get Volume to Table Mapping Matrix.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getVolumetoTableMappingMatrix() [2/2]

virtual OFCondition IODUSFoRModule::getVolumetoTableMappingMatrix | ( | OFVector< Float64 > & | value | ) |
| virtual

Get Volume to Table Mapping Matrix.

Parameters

  value | Reference to variable in which the value should be stored

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getVolumetoTransducerMappingMatrix() [1/2]

virtual OFCondition IODUSFoRModule::getVolumetoTransducerMappingMatrix | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const
| virtual

Get Volume to Table Mapping Matrix.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getVolumetoTransducerMappingMatrix() [2/2]

virtual OFCondition IODUSFoRModule::getVolumetoTransducerMappingMatrix | ( | OFVector< Float64 > & | value | ) |
| virtual

Get Volume to Table Mapping Matrix.

Parameters

  value | Reference to variable in which the value should be stored

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getVolumetoTransducerRelationship()

virtual OFCondition IODUSFoRModule::getVolumetoTransducerRelationship | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Volume to Transducer Relationship.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setApexPosition()

virtual OFCondition IODUSFoRModule::setApexPosition | ( | const Float64 & | xValue,
|  | const Float64 & | yValue,
|  | const Float64 & | zValue,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Apex Position.

Parameters

  xValue | xValue to be set
  yValue | yValue to be set
  zValue | zValue to be set
  checkValue | Does nothing at the moment

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setPatientFrameOfReferenceSource()

virtual OFCondition IODUSFoRModule::setPatientFrameOfReferenceSource | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Patient Frame of Reference Source.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setTableFrameofReferenceUID()

virtual OFCondition IODUSFoRModule::setTableFrameofReferenceUID | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Table Frame of Reference UID.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setUltrasoundAcquisitionGeometry()

virtual OFCondition IODUSFoRModule::setUltrasoundAcquisitionGeometry | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Ultrasound Acquisition Geometry.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setVolumeFrameOfReferenceUID()

virtual OFCondition IODUSFoRModule::setVolumeFrameOfReferenceUID | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Volume Frame Of Reference UID.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setVolumeToTableMappingMatrix()

virtual OFCondition IODUSFoRModule::setVolumeToTableMappingMatrix | ( | const OFVector< Float64 > & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Volume to Table Mapping Matrix.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance with VR (FD) and VM (16) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setVolumetoTransducerMappingMatrix()

virtual OFCondition IODUSFoRModule::setVolumetoTransducerMappingMatrix | ( | const OFVector< Float64 > & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Volume to Transducer Mapping Matrix.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance with VR (FD) and VM (16) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setVolumetoTransducerRelationship()

virtual OFCondition IODUSFoRModule::setVolumetoTransducerRelationship | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Volume to Transducer Relationship.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/modusfor.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1